package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.ServiceToken;

import java.util.Map;

/**
 * <p>
 * 服务令牌表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceTokenService extends IService<ServiceToken> {

    /**
     * @Description: 根据参数获取服务令牌
     * @Author: ztg
     * @Date: 2018/9/18 16:38
     */
    ServiceToken getServiceToken(Map<String, Object> paramMap);

    ServiceToken getByProductServiceId(Long productServiceId);

    Integer deleteByProductServiceId(Long productServiceId);

    Integer enableToken(Long productServiceId);

    Integer disableToken(Long productServiceId);
}
